Skip to content

Partially updates a batch with the specified ID.

Request

This method will patch an existing batch with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the batch to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)
]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batches/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The batch was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
automatically_close_atstring, (date-time)(Automatically Close At)

Date/time at which this batch should automatically close

business_unit_idstring(Business Unit)required

The business unit that the batch belongs in

closed_atstring, (date-time)(Closed At)

Date the batch was closed

countnumber, (float)(Count)

The total # of payments + refunds

currency_codestring, = 3 characters(Currency Code)

The currency code in use

currency_symbolstring(Currency Symbol)

The currency symbol

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date)(Date)required

The date of the batch

dependentsArray of strings(Dependents)

List of batches that depend on this one

descriptionstring(Description)

Descriptive notes about the batch

downloaded_atstring, (date-time)(Downloaded At)

Date the batch was downloaded

downloading_workflow_execution_idstring(Downloading Workflow Execution)

The ID of the state machine execution that last downloaded this batch

errorsArray of objects
fiscal_periodinteger, [ 1 .. 12 ](Fiscal Period)required

The fiscal period of the batch

fiscal_year_idstring(Fiscal Year)required

The fiscal year of the business unit

idstring(ID)[\w|-]+required

The unique, string identifier of this batch

namestring(Name)required

The name of the batch

posted_atstring, (date-time)(Posted At)

The date the batch was posted

posting_workflow_execution_idstring(Posting Workflow Execution)

The ID of the state machine execution that posted this batch

recurring_batch_idstring(Recurring Batch)

The recurring batch definition that this batch is tied to

statisticsobject(Statistics)
statusstring(Status)
Enum:"archived""closed""downloaded""error""open""posted""posting""verified"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_composite_fiscal_period_keystring(Sys Composite Fiscal Period Key)

Internal use

sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_fiscal_period_idstring(Sys Fiscal Period)

Concatenation of the fiscal year and fiscal period

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

totalnumber, (double)(Total)

The total amount of payments - refunds for the batch

typestring(Type)

Type of batch

Enum:"cost of goods sold""deferred revenue""legacy""transaction"
unposting_workflow_execution_idstring(Unposting Workflow Execution)

The ID of the state machine execution that last unposted this batch

Response
{ "automatically_close_at": "2019-08-24T14:15:22Z", "business_unit_id": "string", "closed_at": "2019-08-24T14:15:22Z", "count": 0.1, "currency_code": "str", "currency_symbol": "string", "custom_field_values": [ { … } ], "date": "2019-08-24", "dependents": [ "string" ], "description": "string", "downloaded_at": "2019-08-24T14:15:22Z", "downloading_workflow_execution_id": "string", "errors": [ { … } ], "fiscal_period": 1, "fiscal_year_id": "string", "id": "string", "name": "string", "posted_at": "2019-08-24T14:15:22Z", "posting_workflow_execution_id": "string", "recurring_batch_id": "string", "statistics": { "credit_memo_total": 0.1, "credit_total": 0.1, "debit_memo_total": 0.1, "invoice_total": 0.1, "number_of_credit_memos": 0.1, "number_of_credits": 0.1, "number_of_debit_memos": 0.1, "number_of_invoices": 0.1, "number_of_payments": 0.1, "number_of_refunds": 0.1, "number_of_write_offs": 0.1, "payment_total": 0.1, "refund_total": 0.1, "write_off_total": 0.1 }, "status": "archived", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_composite_fiscal_period_key": "string", "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_fiscal_period_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "type": "cost of goods sold", "unposting_workflow_execution_id": "string" }